curl --request POST \
--url https://api.lootexplus.com/v1/project-wallet/drops/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chainId": 1868,
"name": "My NFT Drop",
"mode": "standard",
"defaultTokenMetadata": {
"name": "Cool NFT #1",
"description": "This is a really cool NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"externalUrl": "https://example.com",
"attributes": [
{
"trait_type": "Background",
"value": "Blue",
"display_type": "string"
}
],
"properties": {
"category": "art"
}
},
"description": "This is a description of the NFT drop",
"symbol": "DEMO",
"totalSupply": 1000,
"unitPrice": 0,
"startTime": "2025-01-01T00:00:00Z",
"limitPerWallet": 0,
"whitelist": "0xfb43B1aCdcC86FEbDd7Ad80fff571C8F912423D9,20,0.00001\n0xfBf3736070C6fa64D818dEc78166a553D07cEcF8,20,0.00001\n0xDdBECdfE4E43260fdA3721c20c4022cceF4AED19,20,0.00001",
"currencyAddress": "<string>",
"creatorFeeAddress": "<string>",
"creatorFeeBps": 0,
"projectId": "123",
"metadataStorageType": "s3",
"baseUri": "https://my-nft-drop.com/metadata/"
}
'import requests
url = "https://api.lootexplus.com/v1/project-wallet/drops/deploy"
payload = {
"chainId": 1868,
"name": "My NFT Drop",
"mode": "standard",
"defaultTokenMetadata": {
"name": "Cool NFT #1",
"description": "This is a really cool NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"externalUrl": "https://example.com",
"attributes": [
{
"trait_type": "Background",
"value": "Blue",
"display_type": "string"
}
],
"properties": { "category": "art" }
},
"description": "This is a description of the NFT drop",
"symbol": "DEMO",
"totalSupply": 1000,
"unitPrice": 0,
"startTime": "2025-01-01T00:00:00Z",
"limitPerWallet": 0,
"whitelist": "0xfb43B1aCdcC86FEbDd7Ad80fff571C8F912423D9,20,0.00001
0xfBf3736070C6fa64D818dEc78166a553D07cEcF8,20,0.00001
0xDdBECdfE4E43260fdA3721c20c4022cceF4AED19,20,0.00001",
"currencyAddress": "<string>",
"creatorFeeAddress": "<string>",
"creatorFeeBps": 0,
"projectId": "123",
"metadataStorageType": "s3",
"baseUri": "https://my-nft-drop.com/metadata/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chainId: 1868,
name: 'My NFT Drop',
mode: 'standard',
defaultTokenMetadata: {
name: 'Cool NFT #1',
description: 'This is a really cool NFT',
image: 'https://example.com/image.png',
animationUrl: 'https://example.com/animation.mp4',
externalUrl: 'https://example.com',
attributes: [{trait_type: 'Background', value: 'Blue', display_type: 'string'}],
properties: {category: 'art'}
},
description: 'This is a description of the NFT drop',
symbol: 'DEMO',
totalSupply: 1000,
unitPrice: 0,
startTime: '2025-01-01T00:00:00Z',
limitPerWallet: 0,
whitelist: '0xfb43B1aCdcC86FEbDd7Ad80fff571C8F912423D9,20,0.00001\n0xfBf3736070C6fa64D818dEc78166a553D07cEcF8,20,0.00001\n0xDdBECdfE4E43260fdA3721c20c4022cceF4AED19,20,0.00001',
currencyAddress: '<string>',
creatorFeeAddress: '<string>',
creatorFeeBps: 0,
projectId: '123',
metadataStorageType: 's3',
baseUri: 'https://my-nft-drop.com/metadata/'
})
};
fetch('https://api.lootexplus.com/v1/project-wallet/drops/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"drop": {
"id": "<string>",
"chainId": 123,
"contractAddress": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"ownerAddress": "<string>",
"blindboxKey": "<string>",
"imageUrl": "<string>",
"baseUri": "<string>",
"creatorFeeAddress": "<string>",
"creatorFeeBps": 123,
"projectId": "<string>",
"metadataRepoId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"transactions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"jobId": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"projectId": "123e4567-e89b-12d3-a456-426614174000",
"transactionHash": "0x123e4567-e89b-12d3-a456-426614174000",
"chainId": 1,
"from": "0x123e4567-e89b-12d3-a456-426614174000",
"to": "0x123e4567-e89b-12d3-a456-426614174000",
"value": "1000000000000000000",
"data": "0x",
"gasUsed": "1000000000000000000",
"gasPrice": "1000000000000000000",
"totalGasFee": "1000000000000000000",
"metadata": "{} ",
"createdAt": "2024-03-20T12:00:00Z",
"updatedAt": "2024-03-20T12:00:00Z"
}
]
}Deploy Drop
Authorizations
Secret key for authentication
Body
Deploy drop data
Blockchain chain ID
1868
Name of the NFT drop
"My NFT Drop"
Mode of the NFT drop. Default to STANDARD.
standard, badge "standard"
Default token metadata for the NFT drop. Required if metadataStorageType is s3 or metadata-api.
Show child attributes
Show child attributes
Drop description
"This is a description of the NFT drop"
Symbol of the NFT drop
"DEMO"
Total supply of the NFT drop
1000
Unit price of the NFT drop
0
Start time of the NFT drop
"2025-01-01T00:00:00Z"
Limit per wallet
Whitelist
"0xfb43B1aCdcC86FEbDd7Ad80fff571C8F912423D9,20,0.00001\n0xfBf3736070C6fa64D818dEc78166a553D07cEcF8,20,0.00001\n0xDdBECdfE4E43260fdA3721c20c4022cceF4AED19,20,0.00001"
ERC20 currency address. If not provided, the default currency is ETH.
Creator fee recipient address
Creator fee basis points (0-10000)
Project ID
"123"
Type of metadata storage. Default to S3.
s3, metadata-api, self-hosted "s3"
Base URI for the NFT drop. Required if metadataStorageType is self-hosted.
"https://my-nft-drop.com/metadata/"